RegScanner v1.83
Copyright (c) 2004 - 2010 Nir Sofer
Web Site: http://www.nirsoft.net

Description

RegScanner is a small utility that allows you to scan the Registry, find the desired Registry values that match to the specified search criteria, and display them in one list. After finding the Registry values, you can easily jump to the right value in RegEdit, simply by double-clicking the desired Registry item. You can also export the found Registry values into a .reg file that can be used in RegEdit.

Advantages over RegEdit find of Windows

  • RegScanner utility display the entire search result at once, so you don't have to press F3 in order to find the next value.
  • In addition to the standard string search (Like in RegEdit), RegScanner can also find Registry values by data length, value type (REG_SZ, REG_DWORD, and so on), and by modified date of the key.
  • RegScanner can find a unicode string located inside a binary value.
  • RegScanner allows you to make a case sensitive search.
  • While scanning the Registry, RegScanner display the current scanned Registry key, as opposed to RegEdit, that simply display a boring "Searching the registry" dialog-box.

System Requirements

This utility works in any version of Windows, from Windows 98 to Windows 7. A separated download for x64 systems is also available.

Versions History

  • Version 1.83
    • The status bar now displays the total data size of selected Registry items in KB/MB.
  • Version 1.82
    • Added the 'Delete Selected Keys/Values' option into the context menu, as well as this options is now disabled if there is no any selected Registry item.
  • Version 1.81
    • Fixed problem: On Windows 7/Vista, RegScanner entered into a recursive scan of VirtualStore key , something like HKCR\VirtualStore\MACHINE\SOFTWARE\Classes\VirtualStore\MACHINE\SOFTWARE\Classes\VirtualStore...
  • Version 1.80
    • Added 'Delete Selected Keys/Values' option. (See Below)
  • Version 1.77
    • Fixed bug: When searching a key in 'Exact Match' mode, RegScanner compared the search string with the full key path, and thus it never found the key.
  • Version 1.76
    • Export Selected Items - String values are now exported as strings and DWord values are now exported as DWords. (In previous versions they exported as binary)
    • Fixed bug: When using 'Export Selected Items' more than once, the first key was missed.
  • Version 1.75
    • New option: Show found items during the scan process
  • Version 1.70
    • Added 2 regular expression options
  • Version 1.65
    • Fixed bug in x64 version: RegScanner returned wrong search results.
  • Version 1.64
    • Fixed bug: The main window lost the focus when the user switched to another application and then returned back to RegScanner.
  • Version 1.63:
    • Added support for saving as comma-delimited file.
  • Version 1.62:
    • Fixed bug: RegScanner displayed a crash window immediately after running it.
  • Version 1.61:
    • Fixed bug: RegScanner remained in memory if you closed the main window during the Registry scan.
  • Version 1.60:
    • Fixed bug: opening HKLM in RegEdit failed if there was no '\' character.
    • New option: 'Open Clipboard Text In RegEdit' - Allows you to open RegEdit with the key that is currently in the clipboard.
    • New command-line option: /clipregedit
  • Version 1.56:
    • Removed the text length limit from the 'Base Key' combo-box
  • Version 1.55:
    • Added 'Registry item contains any value' in the matching combo-box. This option replace the 'Load all keys...' option in the previous versions.
    • Added 'Add only keys' option - allows you to scan only the Registry keys (without values).
    • Added a separated download for x64.
  • Version 1.51:
    • Fixed RegEdit open problem with HKEY_USERS key.
  • Version 1.50:
    • New option: Support Reg: Links - Allows you to use reg: links for opening Registry keys in RegEdit. For example: reg:HKLM\Software\Microsoft\Windows\CurrentVersion
    • New command-line option: /regedit
    • New option: Create Delete .Reg File - Creates a .reg file that deletes all selected Registry values.
  • Version 1.40:
    • New search option: Registry item contains the specified DWORD value.
    • New search option: Registry item contains the specfied binary value
    • New option: Scan a remote computer.
    • New option: Copy the selected key to the clipbard (Ctrl+K).
    • As opposed to previous versions that only scanned the HKEY_LOCAL_MACHINE and HKEY_CURRENT_USER keys, now you can also choose to search under HKEY_CLASSES_ROOT, HKEY_USERS, and HKEY_CURRENT_CONFIG.
  • Version 1.30:
    • New search option: search by value type.
    • New option: Save/load RegScanner configuration.
    • A tooltip is displayed when a string in a column is longer than the column length.
    • The configuration of RegScanner utility is now saved into a file (regscanner.cfg - located in the same folder of the executable file) instead of saving it to the Registry.
      (If from some reason, you still want that RegScanner utility will save the configuration data into the Registry, run it with /usereg parameter)
  • Version 1.20:
    • New option: Export selected items to a .reg file that you can use in RegEdit.
    • New column: Data Length.
    • New search option: search by data length.
    • Dramatically reduced memory footprint during search. (Fixed bug from previous versions)
  • Version 1.10:
    • New column: Key Modified Time (Only for Windows NT/2000/XP)
    • New search option: by key modified time (Only for Windows NT/2000/XP)
    • New search option: Add entry for each found key (Only when you select to search by key name)
    • New search option: Search for Unicode strings in binary values.
    • Added support for Windows XP visual styles.
  • Version 1.00: First Release.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Using RegScanner

RegScanner is a standalone executable, and it doesn't require any installation process or additional DLLs. In order to start using it, just run the executbale file - regscanner.exe

After running RegScanner, you should select the desired scan/search options, and click OK to start the scan.

Delete Selected Keys/Values

The delete feature was added in version 1.80 after many requests from RegScanner users. This feature allows you to easily delete unwanted Registry keys and values that you found in the search process. However, in order to decrease the chance of damage from accidental delete action, this feature works as follows:
  • Before any delete action, RegScanner will ask you if you want to delete, and the default answer is No.
  • When you delete a value item, only the value is deleted, when you delete a key, the entire key is deleted.
  • A key won't be deleted if it has one or more subkeys.
  • For every delete, the delete values/keys are added into a .bak file located in the folder of RegScanner.exe
    If RegScanner fails to create the .bak file, it won't delete the selected items.

Tips for using RegScanner

  • If you want to view all Registry values under a specific key, choose 'Registry item contains any value' in the matching combo-box, uncheck the 'Scan the following base keys', and in the Base Key combo-box type the desired key (For example: HKLM\Software\Microsoft\Windows\CurrentVersion\Explorer)
  • If you want to view all Registry values that contains large amount of data, uncheck the 'Add entry for each found key' option, choose 'Registry item contains any value' in the matching combo-box, choose the 'Display only data with the following lenth range', and type the data length range that you want to find, for example: from 1000 bytes to 100000 bytes.
  • If you want to view the list of all Registry keys that have been modified in the last few hours or days, check the 'Add entry for each found key' and 'Add only keys' options, choose 'Registry item contains any value' in the matching combo-box, choose the 'Display only keys that their modified time is within the following range' option, and then select the modified date/time range that you want to view.

Searching DWORD/Binary values

Starting from version 1.40, you can search DWORD/Binary values. In order to specify a DWORD value to search, you can type (In the Find string text-box) a decimal value (for example: 255) or an hexadecimal value (for example: 0xff).
In order to specify a binary value that you want to search, type (In the Find string text-box) a sequence of hexadecimal bytes, with or without spaces between them.
For example:
013fc7a127cc4a
01 3f c7 a1 27 cc 4a

Searching the Registry in a remote computer

Starting from version 1.40, you can search the Registry in a remote computer on your network. In order to do that, you should login to the remote computer with admin user. Also, be aware that searching the Registry in a remote computer might be quite slow.

Using reg: Links

Starting from version v1.50, RegScanner allows you to use reg: URL as a link to the Registry key in RegEdit editor.
For Example: Clicking the link below will open RegEdit with the specified Registry key:
reg:HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion
You can also type the same reg: string in the address bar of Internet Explorer or in the Run dialog-box of Windows.

In order to enable/disable this feature, go to the File menu of RegScanner utility, and choose the 'Support Reg: Links' option.
Be aware that changing this option only affects the current logged on user.

Using the /regedit and /clipregedit Command-Line Options

Starting from version 1.50, you can use RegScanner.exe utility to open the desired key in RegEdit, by using the /regedit command-line option.
For example:
RegScanner.exe /regedit "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion"
Starting from version 1.60, you can also use the /clipregedit command-line option if you want to open a key that you copied into the clipboard.

Notice about transition effects

If you want that RegEdit will be opened as fast as possible with the right Registry value, you should disable the 'transition effects' on your system. (On Windows 2000, go to the 'Display Properties' window, select the 'Effects' tab, and uncheck the 'Use transition effects...' option.

Translating RegScanner to other languages

In order to translate RegScanner to other language, follow the instructions below:
  1. Run RegScanner with /savelangfile parameter:
    regscanner.exe /savelangfile
    A file named regscanner_lng.ini will be created in the folder of RegScanner utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run RegScanner, and all translated strings will be loaded from the language file.
    If you want to run RegScanner without the translation, simply rename the language file, or move it to another folder.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com